<template>
    <div class="page">
        <div class="search-row">
            <Search class="search"/>
        </div>
        <div class="patterns">
            <AddPat/>
            <Pat v-for="i in 10" v-bind:key="i"/>
        </div>
    </div>
</template>

<script>
import Search from '../components/Search.vue'
import Pat from '../components/Pat.vue'
import AddPat from '../components/AddPat.vue'

export default {
  name: 'Patterns',
  components: {
    Search,
    Pat,
    AddPat
  },
  data() {
      return {
          old_cards : [
            {
            name : 'card1',
            },
            {
            name : 'card2',
            },
            {
            name : 'card3',
            },
        ],
        cards : [
            {
            name : 'card1',
            },
            {
            name : 'card2',
            },
        ],
      }
  }
}
</script>

<style scoped>
main {
    width: 100%;
    display: grid;
    grid-template-columns: 5vw 1fr 5vw;
    grid-gap: 1vw;
    margin: 1vw 0;
}

.search-row {
    grid-column: 2 / 3;
    display: flex;
    align-items: left;
    margin-bottom: 1vw;
}

.patterns {
    grid-column: 2 / 3;
    display: grid;
    
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    grid-gap: 1vw;
}   
</style>
